Bug 247544 - Firewall settings do not save
Firewall settings do not save
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
: 247564 247761 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 16:34 EDT by David Brown
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.7.0-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 22:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Brown 2007-07-09 16:34:21 EDT
Description of problem: Firewall settings will not save from
system-config-securitylevel.  They will save from system-config-securitylevel-tui.

Version-Release number of selected component (if applicable): 1.7.0-1

How reproducible: Always

Steps to Reproduce:
1. Change a firewall setting
2. Apply, OK
3. Open the config again
  
Actual results: Old settings

Expected results: Changed settings
Comment 1 Fernando Membrive 2007-07-25 14:23:40 EDT
I have the same problem but only when I try to change ports configuration. If I
add any port or remove it and try to apply configuration, the changes don't take
effect.

By the other hand, if I change any other configuration in that interface, the
changes take effect.

Steps to Reproduce:

1. Change a firewall port setting by Add/Remove port number. (no other setting).
2. Apply, OK
3. Open the config again
Comment 2 Pavel Šefránek 2007-07-25 18:51:33 EDT
I've got the same issue. Just remove the "/etc/sysconfig/iptables" file and
system-config-securitylevel cannot save new configuration. But TUI does this
perfectly.
Comment 3 Thomas Woerner 2007-07-31 06:15:35 EDT
*** Bug 247564 has been marked as a duplicate of this bug. ***
Comment 4 Thomas Woerner 2007-07-31 06:15:47 EDT
*** Bug 247761 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2007-08-02 22:42:03 EDT
system-config-securitylevel-1.7.0-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 DEMELIER David 2007-08-03 12:38:49 EDT
Still doesn't work.
Comment 7 David Brown 2007-08-03 15:47:30 EDT
It's working for me now.
Comment 8 Thomas Woerner 2007-08-06 04:28:54 EDT
For comment #6: What exactly is not working for you? Please post your steps to
reprodiuce it.

Note You need to log in before you can comment on or make changes to this bug.